Package com.sun.jna.platform.win32

# Class WTypes.LPSTR

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WTypes.LPSTR

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `WTypes.LPSTR.ByReference`

Enclosing interface:
  WTypes

public static class WTypes.LPSTR extends PointerType

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WTypes.LPSTR.ByReference`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LPSTR()`
  `LPSTR(Pointer pointer)`
  `LPSTR(String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `void`
  `setValue(String value)`
  `String`
  `toString()`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LPSTR

    public LPSTR()

  - ### LPSTR

    public LPSTR(Pointer pointer)

  - ### LPSTR

    public LPSTR(String value)

- ## Method Details

  - ### setValue

    public void setValue(String value)

  - ### getValue

    public String getValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PointerType`